BizKitHub
DocsAPI ReferenceTeam Chat/bff/team-chat/flags
postTeam ChatAdmin BFF

/bff/team-chat/flags

Per-room personal flags: mute, pin, archive

Team chatpostBffTeam-chatFlags

Parameters

JSON body

Request body

application/json
roomIdstringRequired

24-char room id.

Length: 24–24
muteForMinutesstring | integer | nullOptional
One of 2:
Variant 1
string | integer

null unmutes, 0 mutes forever, n = minutes.

One of 2:
Variant 1
stringinteger
Default: 0
Variant 2
integer

null unmutes, 0 mutes forever, n = minutes.

Range: 0–∞
Variant 2
null
pinnedbooleanOptional
archivedbooleanOptional

Response schema

1 status code documented

200Success
success"true"Required

Response example

application/json
{
  "success": true
}

Request example

POST /bff/team-chat/flags

post
curl -X POST "https://api.bizkithub.com/bff/team-chat/flags" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "roomId": "example_roomId",
  "pinned": false,
  "archived": false
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key